%define upstream_name    Getopt-Chain
%define upstream_version 0.017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Per-command context
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan::Share)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Hash::Param)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildRequires: perl(MooseX::MakeImmutable)
BuildRequires: perl(Path::Dispatcher)
BuildRequires: perl(Path::Dispatcher::Declarative)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Getopt::Chain can be used to provide 'svn(1)'- and 'git(1)'-style option
and command processing. Any option specification covered by the
Getopt::Long manpage is fair game.

This is a new version of Getopt::Chain that uses the Path::Dispatcher
manpage

CAVEAT 1: This is pretty beta, so the sugar/interface above WILL be tweaked

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.17.0-10.mga8
+ Revision: 1494714
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.17.0-9.mga7
+ Revision: 1268211
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.17.0-8.mga6
+ Revision: 1027858
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.17.0-7.mga6
+ Revision: 948917
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.17.0-6.mga5
+ Revision: 788668
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-5.mga5
+ Revision: 748601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-4.mga5
+ Revision: 684854
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17.0-3.mga4
+ Revision: 511826
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-2.mga3
+ Revision: 367709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.17.0-1.mga3
+ Revision: 310670
- imported package perl-Getopt-Chain


* Fri Oct 26 2012 cpan2dist 0.017-1mga
- initial mageia release, generated with cpan2dist
